{% extends "base.html" %}
{% block content %}
  <div class="w3-container w3-card-4 w3-round-large" style="min-width: 20em;">
    <h1>Admin Edit</h1>
    {% if type == 'user' %}
      <div class="w3-container w3-border w3-round-large w3-margin">
        <h2>User <span class="w3-codespan notranslate">{{ user['basic'][0] }}</span> (<span class="w3-codespan notranslate">{{ user_uuid }}</span>)</h2>
        <div class="w3-responsive">
          <h1>WIP; Will not work.</h1>
          <div class="w3-container w3-border w3-round-large w3-margin">
            <h3>Account</h3>
            <form>
              <form class="w3-padding-16 w3-margin-bottom w3-round-large" action='/admin/edit/user/account' method='POST'>
                <input class="w3-input w3-mobile" type='text' name='new_username' id='new_username' placeholder='New Username'/>
                <input class="w3-input w3-mobile" type='password' name='new_password' id='new_password' placeholder='New Password'/>
                <input class="w3-input w3-mobile" type='group' name='new_group' id='new_group' value='{{ user['basic'][3] }}' placeholder='New Group'/>
                <input class="w3-btn w3-mobile w3-right w3-round-large w3-border w3-margin" type='submit' value='Save'/>
              </form>
            </form>
          </div>
          <div class="w3-container w3-border w3-round-large w3-margin">
            <h3>Personal</h3>
            <form>
              <form class="w3-padding-16 w3-margin-bottom w3-round-large" action='/admin/edit/user/personal' method='POST'>
                <input class="w3-input w3-mobile" type='text' name='new_firstname' id='new_firstname' value='{{ user['firstname'] }}' placeholder='New Firstname'/>
                <input class="w3-input w3-mobile" type='text' name='new_lastname' id='new_lastname' value='{{ user['lastname'] }}' placeholder='New Lastname'/>
                <input class="w3-input w3-mobile" type='text' name='new_age' id='new_age' value='{{ user['age'] }}' placeholder='New Age'/>
                <input class="w3-input w3-mobile" type='text' name='new_notes' id='new_notes' value='{{ user['notes'] }}' placeholder='New Notes'/>
                <input class="w3-btn w3-mobile w3-right w3-round-large w3-border w3-margin" type='submit' value='Save'/>
              </form>
            </form>
          </div>
          <div class="w3-container w3-border w3-round-large w3-margin">
            <h3>Courses</h3>
            {% for course in user['course'] %}
              <table class="w3-table w3-round-large w3-border w3-striped" style="overflow: auto; max-height: 100%;">
                <tr>
                  <th>Actions</th>
                  <th>UUID</th>
                  <th>Status</th>
                </tr>
                <tr>
                  <td>WIP{# <a href="/admin/edit/user?uuid={{ user['basic'][2] }}"><span style="font-size: 0.9em;" class="material-icons">create</span></a> #}</td>
                  <td class="w3-codespan notranslate">{{ course['course'] }}</td>
                  <td>{{ course['status'] }}</td>
                </tr>
              </table>
            {% endfor %}
          </div>
        </div>
        <script>
          function toggleUsersRawData() {
            let x = document.getElementById("usersRawData");
            let y = document.getElementById("usersRawDataBtn");
            if (x.style.display === "none") {
              x.style.display = "block";
              y.innerText = "Hide Raw Data";
            } else {
              x.style.display = "none";
              y.innerText = "Show Raw Data";
            }
          }
        </script>
        <button class="w3-btn w3-round-large w3-padding-16 w3-margin w3-border" style="transition: 0.5s; width: 10em;" id="usersRawDataBtn" onclick="toggleUsersRawData();">
          Show Raw Data
        </button>
        <div class="w3-code notranslate" style="display: none;" id="usersRawData">
          {{ user }}
        </div>
      </div>
    {% elif type == 'course' %}
    <div class="w3-container w3-border w3-round-large w3-margin">
      <h2>Courses</h2>
      <h1>Work In Progress</h1>
{#      {% set courses, code = admin.list_courses() %}#}
{#      <div class="w3-responsive">#}
{#        <table class="w3-table w3-round-large w3-border w3-striped" style="overflow: auto; max-height: 100%;">#}
{#          <tr>#}
{#            <th>Actions</th>#}
{#            <th>Name</th>#}
{#            <th>UUID</th>#}
{#            <th>Description</th>#}
{#            <th>Admin-only Notes</th>#}
{#          </tr>#}
{#          {% for course in courses %}#}
{#            <tr>#}
{#              <td><a href="/admin/edit/courses?uuid={{ user['basic'][3] }}"><span style="font-size: 0.9em;" class="material-icons">create</span></a></td>#}
{#              <td>{{ course['name'] }}</td>#}
{#              <td class="w3-codespan notranslate">{{ course['uuid'] }}</td>#}
{#              <td>{{ course['desc'] }}</td>#}
{#              <td>{{ course['notes'] }}</td>#}
{#            </tr>#}
{#          {% endfor %}#}
{#        </table>#}
{#      </div>#}
{#      {% if code != 0 %}#}
{#        <div class="w3-panel w3-pale-red w3-leftbar w3-border-red w3-round-large">#}
{#          Unable to fetch list of users. Code {{ code }}.#}
{#        </div>#}
{#      {% endif %}#}
{#      <script>#}
{#        function toggleCoursesRawData() {#}
{#          let x = document.getElementById("coursesRawData");#}
{#          let y = document.getElementById("coursesRawDataBtn");#}
{#          if (x.style.display === "none") {#}
{#            x.style.display = "block";#}
{#            y.innerText = "Hide Raw Data";#}
{#          } else {#}
{#            x.style.display = "none";#}
{#            y.innerText = "Show Raw Data";#}
{#          }#}
{#        }#}
{#      </script>#}
{#      <button class="w3-btn w3-round-large w3-padding-16 w3-margin w3-border" style="transition: 0.5s; width: 10em;" id="coursesRawDataBtn" onclick="toggleCoursesRawData();">#}
{#        Show Raw Data#}
{#      </button>#}
{#      <div class="w3-code notranslate" style="display: none;" id="coursesRawData">#}
{#        {{ courses }}#}
{#      </div>#}
    </div>
    {% endif %}
    <div class="w3-panel w3-pale-red w3-leftbar w3-border-red w3-round-large">
      Remember to save the settings. The changes will be lost if not saved.
    </div>
  </div>
{% endblock %}